; $Id: dcstoolsthumbrules.pro,v 1.7 2002/10/01 20:59:31 john Exp $
; Written by J.R.D. Copley.
;************************************************************************************************
pro DCSToolsThumbrules,event
;************************************************************************************************
;
compile_opt strictarr
;
widget_control,event.top,get_uvalue=statePtr
davePtr=(*statePtr).davePtr
;
dcs_sysvars,davePtr=davePtr
;
tvlct,r,g,b,/get
rgbptr=ptr_new({r:r,g:g,b:b})
;
message=[$
	"Time Sample-Detector[us] ~ 1000*lambda[A]",$
	"Qmin ~ 0.55/lambda (5 deg)",$
	"Qmax ~ 11.8/lambda (140 deg)",$
	"DeltaQ ~ 0.05/lambda (0.5 deg)"$
	]
;
result=dialog_message(message,/information,title="Some Useful DCS Rules of Thumb")
;
dave_makeDavePtr,davePtr=davePtr
(*statePtr).davePtr=davePtr
;
tvlct,(*rgbptr).r,(*rgbptr).g,(*rgbptr).b
ptr_free,rgbptr
;
end
