;$Id: array_equal_dimension.pro,v 1.2 2002/04/23 23:08:29 jmspark Exp $
function array_equal_dimension $
	, ptr1, ptr2 $
	, histo = histo

	size1 = size( *ptr1 )
	size2 = size( *ptr2 )

	if size1[0] ne size2[0] then return, 0
	if size1[0] eq 0 then return, 1

	if keyword_set( histo ) then begin

		diff = size1[0:size1[0]] - size2[0:size2[0]]
		n_diff = n_elements( diff )

		return, $
			( total( abs( 2 * diff - 1 ) eq ( intarr( n_diff ) + 1 ) ) $
				eq n_diff )

	endif else begin

		return $
			, total( size1[0:size1[0]] eq size2[0:size2[0]] ) $
				eq size1[0] + 1

	endelse

end