;$Id: trifenestra_window_menu.pro,v 1.1 2002/07/03 20:26:06 jmspark Exp $
;*******************************************************************************
;23456789 123456789 123456789 123465798 123456789 123456789 123465789 123456789
;       10        20        30        40        50        60        70        80
;*******************************************************************************
pro trifenestra::view_control_Window, event

	if not widget_info( !trifenestra.wControlWindow, /valid_id ) then $
		!trifenestra.wControlWindow = trifenestra_control_window( self.tlb )

	wView = widget_info( self.tlb $
		, find_by_uname = 'view_control_window' )

	widget_control, wView, get_value = value
	case value of
		'  Control Window': begin
			widget_control, wView, set_value = '* Control Window'
			widget_control, !trifenestra.wcontrolWindow, /map
		end
		'* Control Window': begin
			widget_control, wView, set_value = '  Control Window'
			widget_control, !trifenestra.wcontrolWindow, map = 0
		end
	endcase


end
;*******************************************************************************
;23456789 123456789 123456789 123465798 123456789 123456789 123465789 123456789
;       10        20        30        40        50        60        70        80
;*******************************************************************************
pro trifenestra::view_command_Window, event

	if not widget_info( !trifenestra.wCommandWindow, /valid_id ) then $
		!trifenestra.wCommandWindow = trifenestra_command_window( self.tlb )

	wView = widget_info( self.tlb $
		, find_by_uname = 'view_command_window' )

	widget_control, wView, get_value = value
	case value of
		'  Command Window': begin
			widget_control, wView, set_value = '* Command Window'
			widget_control, !trifenestra.wCommandWindow, /map
		end
		'* Command Window': begin
			widget_control, wView, set_value = '  Command Window'
			widget_control, !trifenestra.wCommandWindow, map = 0
		end
	endcase


end
;*******************************************************************************
;23456789 123456789 123456789 123465798 123456789 123456789 123465789 123456789
;       10        20        30        40        50        60        70        80
;*******************************************************************************
function trifenestra_window_menu, menubar

	wWindowMenu = widget_button( menubar $
		, value='Window' $
		, /menu $
		, event_pro = 'trifenestra_event')


	if !trifenestra.internal then $
	wCommandWindow = widget_button( wWindowMenu $
		, value = '  Command Window' $
		, uname = 'view_command_window' $
		, uvalue = 'view_command_window' )

	wControlWindow = widget_button( wWindowMenu $
		, value = '  Control Window' $
		, uname = 'view_control_window' $
		, uvalue = 'view_control_window' )

	return, wWindowMenu


end
;*******************************************************************************
;23456789 123456789 123456789 123465798 123456789 123456789 123465789 123456789
;       10        20        30        40        50        60        70        80
;*******************************************************************************